package org.freedesktop;
import java.util.List;
import java.util.Map;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.UInt32;
import org.freedesktop.dbus.Variant;
import org.freedesktop.dbus.exceptions.DBusException;
public interface NetworkManager extends DBusInterface
{
   public static class CheckPermissions extends DBusSignal
   {
      public CheckPermissions(String path) throws DBusException
      {
         super(path);
      }
   }
   public static class StateChanged extends DBusSignal
   {
      public final UInt32 state;
      public StateChanged(String path, UInt32 state) throws DBusException
      {
         super(path, state);
         this.state = state;
      }
   }
   public static class PropertiesChanged extends DBusSignal
   {
      public final Map<String,Variant> properties;
      public PropertiesChanged(String path, Map<String,Variant> properties) throws DBusException
      {
         super(path, properties);
         this.properties = properties;
      }
   }
   public static class DeviceAdded extends DBusSignal
   {
      public final DBusInterface device_path;
      public DeviceAdded(String path, DBusInterface device_path) throws DBusException
      {
         super(path, device_path);
         this.device_path = device_path;
      }
   }
   public static class DeviceRemoved extends DBusSignal
   {
      public final DBusInterface device_path;
      public DeviceRemoved(String path, DBusInterface device_path) throws DBusException
      {
         super(path, device_path);
         this.device_path = device_path;
      }
   }
   public static class StateChange extends DBusSignal
   {
      public final UInt32 state;
      public StateChange(String path, UInt32 state) throws DBusException
      {
         super(path, state);
         this.state = state;
      }
   }

  public List<DBusInterface> GetDevices();

  public DBusInterface ActivateConnection(String service_name, DBusInterface connection, DBusInterface device, DBusInterface specific_object);

  public void DeactivateConnection(DBusInterface active_connection);

  public void Sleep(boolean sleep);

  public void Enable(boolean enable);

  public Map<String,String> GetPermissions();

  public void SetLogging(String level, String domains);

  public void sleep();

  public void wake();

  public UInt32 state();

}
