package org.freedesktop.NetworkManager;
import org.freedesktop.DBus.GLib.Async;
import org.freedesktop.DBus.GLib.CSymbol;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.UInt32;
import org.freedesktop.dbus.exceptions.DBusException;
public interface Device extends DBusInterface
{
   public static class StateChanged extends DBusSignal
   {
      public final UInt32 new_state;
      public final UInt32 old_state;
      public final UInt32 reason;
      public StateChanged(String path, UInt32 new_state, UInt32 old_state, UInt32 reason) throws DBusException
      {
         super(path, new_state, old_state, reason);
         this.new_state = new_state;
         this.old_state = old_state;
         this.reason = reason;
      }
   }

  @CSymbol("impl_device_disconnect")
  @Async()
  public void Disconnect();

}
