package org.freedesktop.NetworkManager.Device;
import java.util.List;
import java.util.Map;
import org.freedesktop.DBus.GLib.CSymbol;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.Variant;
import org.freedesktop.dbus.exceptions.DBusException;
public interface Wireless extends DBusInterface
{
   public static class PropertiesChanged extends DBusSignal
   {
      public final Map<String,Variant> properties;
      public PropertiesChanged(String path, Map<String,Variant> properties) throws DBusException
      {
         super(path, properties);
         this.properties = properties;
      }
   }
   public static class AccessPointAdded extends DBusSignal
   {
      public final DBusInterface access_point;
      public AccessPointAdded(String path, DBusInterface access_point) throws DBusException
      {
         super(path, access_point);
         this.access_point = access_point;
      }
   }
   public static class AccessPointRemoved extends DBusSignal
   {
      public final DBusInterface access_point;
      public AccessPointRemoved(String path, DBusInterface access_point) throws DBusException
      {
         super(path, access_point);
         this.access_point = access_point;
      }
   }

  @CSymbol("impl_device_get_access_points")
  public List<DBusInterface> GetAccessPoints();

}
