package org.freedesktop.NetworkManager.VPN;
import java.util.Map;
import org.freedesktop.DBus.GLib.CSymbol;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.UInt32;
import org.freedesktop.dbus.Variant;
import org.freedesktop.dbus.exceptions.DBusException;
public interface Plugin extends DBusInterface
{
   public static class StateChanged extends DBusSignal
   {
      public final UInt32 state;
      public StateChanged(String path, UInt32 state) throws DBusException
      {
         super(path, state);
         this.state = state;
      }
   }
   public static class Ip4Config extends DBusSignal
   {
      public final Map<String,Variant> ip4config;
      public Ip4Config(String path, Map<String,Variant> ip4config) throws DBusException
      {
         super(path, ip4config);
         this.ip4config = ip4config;
      }
   }
   public static class LoginBanner extends DBusSignal
   {
      public final String banner;
      public LoginBanner(String path, String banner) throws DBusException
      {
         super(path, banner);
         this.banner = banner;
      }
   }
   public static class Failure extends DBusSignal
   {
      public final UInt32 reason;
      public Failure(String path, UInt32 reason) throws DBusException
      {
         super(path, reason);
         this.reason = reason;
      }
   }

  @CSymbol("impl_vpn_plugin_connect")
  public void Connect(Map<String,Map<String,Variant>> connection);
  @CSymbol("impl_vpn_plugin_need_secrets")
  public String NeedSecrets(Map<String,Map<String,Variant>> settings);
  @CSymbol("impl_vpn_plugin_disconnect")
  public void Disconnect();
  @CSymbol("impl_vpn_plugin_set_ip4_config")
  public void SetIp4Config(Map<String,Variant> config);
  @CSymbol("impl_vpn_plugin_set_failure")
  public void SetFailure(String reason);

}
