package org.freedesktop.NetworkManagerSettings;
import java.util.Map;
import org.freedesktop.DBus.GLib.Async;
import org.freedesktop.DBus.GLib.CSymbol;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.Variant;
import org.freedesktop.dbus.exceptions.DBusException;
public interface Connection extends DBusInterface
{
   public static class Updated extends DBusSignal
   {
      public final Map<String,Map<String,Variant>> settings;
      public Updated(String path, Map<String,Map<String,Variant>> settings) throws DBusException
      {
         super(path, settings);
         this.settings = settings;
      }
   }
   public static class Removed extends DBusSignal
   {
      public Removed(String path) throws DBusException
      {
         super(path);
      }
   }

  @CSymbol("impl_exported_connection_update")
  @Async()
  public void Update(Map<String,Map<String,Variant>> properties);
  @CSymbol("impl_exported_connection_delete")
  @Async()
  public void Delete();
  @CSymbol("impl_exported_connection_get_settings")
  public Map<String,Map<String,Variant>> GetSettings();

}
