package org.freedesktop.NetworkManagerSettings;
import java.util.Map;
import org.freedesktop.DBus.GLib.Async;
import org.freedesktop.DBus.GLib.CSymbol;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.UInt32;
import org.freedesktop.dbus.Variant;
import org.freedesktop.dbus.exceptions.DBusException;
public interface System extends DBusInterface
{
   public static class PropertiesChanged extends DBusSignal
   {
      public final Map<String,Variant> properties;
      public PropertiesChanged(String path, Map<String,Variant> properties) throws DBusException
      {
         super(path, properties);
         this.properties = properties;
      }
   }
   public static class CheckPermissions extends DBusSignal
   {
      public CheckPermissions(String path) throws DBusException
      {
         super(path);
      }
   }

  @CSymbol("impl_settings_save_hostname")
  @Async()
  public void SaveHostname(String hostname);
  @CSymbol("impl_settings_get_permissions")
  @Async()
  public UInt32 GetPermissions();

}
